# OgreSharedPtr.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::SharedPtr< T >
| Reference-counted shared pointer, used for objects where implicit destruction is required. More...

## Functions

template<class T, class U>
bool | Ogre::operator== (SharedPtr< T > const &a, SharedPtr< U > const &b)
template<class T, class U>
bool | Ogre::operator!= (SharedPtr< T > const &a, SharedPtr< U > const &b)

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:06 2008